%global tarball xf86-input-wacom
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Summary:    Xorg X11 wacom input driver
Name:       xorg-x11-drv-wacom
Version:    0.10.4
Release:    1%{?dist}
URL:        http://www.x.org
License:    GPLv2+
Group:      User Interface/X Hardware Support
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: http://prdownloads.sourceforge.net/linuxwacom/%{tarball}-%{version}.tar.bz2

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.7.0
BuildRequires: xorg-x11-util-macros >= 1.3.0
BuildRequires: libX11-devel libXi-devel

Requires:  xorg-x11-server-Xorg >= 1.7.0
Requires:  hal
Requires:  libX11 libXi

Provides:  linuxwacom = %{version}-%{release}
Obsoletes: linuxwacom <= 0.8.4.3

%description
X.Org X11 wacom input driver for Wacom tablets.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

install -d $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty
install -m 0644 ${RPM_BUILD_ROOT}%{_datadir}/hal/fdi/policy/20thirdparty/wacom.fdi $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty/10-wacom.fdi
rm ${RPM_BUILD_ROOT}%{_datadir}/hal/fdi/policy/20thirdparty/wacom.fdi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README GPL
%{driverdir}/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_datadir}/hal/fdi/policy/20thirdparty/10-wacom.fdi
%{_bindir}/xsetwacom


%package devel
Summary:    Xorg X11 wacom input driver development package
Group:      Development/Libraries

Requires: xorg-x11-server-devel >= 1.7.0
Requires: pkgconfig

%description devel
X.Org X11 wacom input driver development files.

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/xorg-wacom.pc
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h

%changelog
* Wed Feb 03 2010 Peter Hutterer <peter.hutterer@redhat.com> 0.10.4-1
- wacom 0.10.4
- Update sources to point to sourceforge.
- Install the upstream fdi file instead of our custom one.
- Update Requires and BuildRequires for xsetwacom.

* Mon Nov 23 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.1-2
- 10-linuxwacom.fdi: squash extra entry for bluetooth tablet into general
  Wacom match. 
- 10-linuxwacom.fdi: remove info.parent condition for N-Trig (#538036)

* Fri Nov 20 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.1-1
- wacom 0.10.1
- Remove unnecessary 'find' directive, changed upstream.
- Add GPL document
- Install 10-wacom.fdi file.
- Provides: linuxwacom

* Fri Nov 20 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-4
- BuildRequires xorg-x11-util-macros 1.3.0

* Thu Nov 19 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-3
- Use smp_mflags when building.

* Wed Nov 18 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-2
- Obsolete linuxwacom, don't Conflict with it.
- Remove trailing dot from summary (rpmlint warning).
- Remove spurious executable bits from source files (rpmlint warning).
- Add AUTHORS, ChangeLog, README to doc

* Mon Oct 19 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.10.0-1
- Initial import

